Packaging - Bug #12876

Foreman build can't find bundler 1.3 or higher on Wheezy/Precise
12/18/2015 10:11 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee:
Category: Debian/Ubuntu
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/926

Description

Builds of Foreman core are failing on Debian Wheezy and Ubuntu Precise as they can't find a matching Bundler version. #7230
increased the min version to 1.3 as a dep of Rails 4.1, but the distros have 1.1.4 and 1.0.15 respectively.

Builds fail with:

13:32:12 [31mBundler could not find compatible versions for gem "bundler":
13:32:12 In Gemfile:

13:32:12 rails (= 4.1.5) ruby depends on
13:32:12 bundler (< 2.0, >= 1.3.0) ruby
13332512

13:32:12 Current Bundler version:

13:32:12 bundler (1.1.4)

(http:/ci.theforeman.org/job/packaging_build_deb_coreproject/2693/arch=x86.label=debian,os=wheezy/console)

We'll probably need to ship our own newer package.

Related issues:
Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014
Blocks Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 08ad149f - 12/19/2015 02:20 PM - Michael Moll
fixes #12876 - package bundler 1.3 for precise and wheezy

The Rails 4.1 gem depends on bundler >= 1.3.0, rendering the bundler
packages in the stock precise and wheezy archives unfeasible.

History

#1 - 12/18/2015 10:11 AM - Dominic Cleal
- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#2 - 12/18/2015 10:11 AM - Dominic Cleal
- Blocks Tracker #3157: Rails 4.1 upgrade tasks added

#3 - 12/19/2015 02:27 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-packaging/pull/926 added

#4 - 12/22/2015 10:31 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/issues/7230
http://ci.theforeman.org/job/packaging_build_deb_coreproject/2693/arch=x86,label=debian,os=wheezy/console

- % Done changed from 0 to 100

05/22/2024 22


http://www.tcpdf.org

